Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.atom
Interface DefaultAtomContentHandler

All Superinterfaces:
  AtomContentHandler, org.xml.sax.ContentHandler, DefaultContentHandler, ResettableAtomContentHandler, ResettableContentHandler

    public interface DefaultAtomContentHandler

extends ResettableAtomContentHandler, DefaultContentHandler

Extension of the `AtomContentHandler` interface that provides convenience methods to more easily generate ATOM events.

The `atomXXX` methods generate complete ATOM tags, consisting of the start tag, an optional body and an end tag.

The `startXXX` methods are provided for convenience for those cases when no extra attributes are required for a starting element.

The `dateTime` methods write a date string in RFC3339 date format into a text() element.

The `uri` methods serialize URIs into a text() element.

The `text` methods serialize text() elements.

Since:
  6.0.1

Method Summary
`void` | `atomAuthor(java.lang.String rText)` Writes the start and the end tag for "atom:author".
`void` | `atomCategory(java.lang.String rTerm, java.lang.String oScheme, java.lang.String oLabel)` Writes the start and the end tag for "atom:category".
`void` | `atomCategory(java.lang.String rTerm, java.lang.String oScheme, java.lang.String oLabel, java.util.Locale oLocale)` Writes the start and the end tag for "atom:category".
`void` | `atomCategory(java.lang.String rTerm, java.lang.String oScheme, java.lang.String oLabel, java.lang.String oLocale)` Writes the start and the end tag for "atom:category".
`void` | `atomContent(java.lang.String rText)` Writes the start and the end tag for "atom:content".
`void` | `atomContent(java.lang.String rText, java.util.Locale oLocale)` Writes the start and the end tag for "atom:content".
`void` | `atomContent(java.lang.String rText, java.lang.String oLocale)` Writes the start and the end tag for "atom:content".
`void` | `atomContributor(java.lang.String rText)` Writes the start and the end tag for "atom:contributor".
`void` | `atomEMail(java.lang.String rText)` Writes the start and the end tag for "atom:email".
`void` | `atomGenerator(java.lang.String oUri, java.lang.String oVersion, java.lang.String rText)` Writes the start and the end tag for "atom:generator".
`void` | `atomIcon(java.lang.String rUri)` Writes the start and the end tag for "atom:icon".
`void` | `atomIcon(java.net.URI rUri)` Writes the start and the end tag for "atom:icon".
`void` | `atomIcon(java.net.URL rUri)` Writes the start and the end tag for "atom:icon".
`void` | `atomId(java.lang.String rID)` Writes the start and the end tag for "atom:id".
`void` | `atomId(java.net.URI rID)` Writes the start and the end tag for "atom:id".
`void` | `atomLink(java.lang.String rHref)` Writes the start and the end tag for "atom:link".
`void` | `atomLink(java.lang.String rHref, java.lang.String oRel)` Writes the start and the end tag for "atom:link".
`void` | `atomLink(java.lang.String rHref, java.lang.String oRel, java.lang.String oType)` Writes the start and the end tag for "atom:link".
`void` | `atomLink(java.lang.String rHref, java.lang.String oRel, java.lang.String oType, java.lang.String oHrefLang, java.lang.String oTitle, long oLength)` Writes the start and the end tag for "atom:link".
`void` | `atomLink(java.lang.String rHref, java.lang.String oRel, java.lang.String oType, java.lang.String oHrefLang, java.lang.String oTitle, java.lang.String oLength)` Writes the start and the end tag for "atom:link".
`void` | `atomLogo(java.lang.String rUri)` Writes the start and the end tag for "atom:logo".
`void` | `atomLogo(java.net.URI rUri)` Writes the start and the end tag for "atom:logo".
`void` | `atomLogo(java.net.URL rUri)` Writes the start and the end tag for "atom:logo".
`void` | `atomName(java.lang.String rText)` Writes the start and the end tag for "atom:name".
`void` | `atomPublished(java.util.Date rDate)` Writes the start and the end tag for "atom:published".
`void` | `atomPublished(long rDate)` Writes the start and the end tag for "atom:published".
`void` | `atomPublished(java.lang.String rDate)` Writes the start and the end tag for "atom:published".
`void` | `atomRights(java.lang.String rText)` Writes the start and the end tag for "atom:rights".
`void` | `atomSubtitle(java.lang.String rText)` Writes the start and the end tag for "atom:subtitle".
`void` | `atomSubtitle(java.lang.String rText, java.util.Locale oLocale)` Writes the start and the end tag for "atom:subtitle".
`void` | `atomSubtitle(java.lang.String rText, java.lang.String oLocale)` Writes the start and the end tag for "atom:subtitle".
`void` | `atomSummary(java.lang.String rText)` Writes the start and the end tag for "atom:summary".
`void` | `atomSummary(java.lang.String rText, java.util.Locale oLocale)` Writes the start and the end tag for "atom:summary".
`void` | `atomSummary(java.lang.String rText, java.lang.String oLocale)` Writes the start and the end tag for "atom:summary".
`void` | `atomTitle(java.lang.String rText)` Writes the start and the end tag for "atom:title".
`void` | `atomTitle(java.lang.String rText, java.util.Locale oLocale)` Writes the start and the end tag for "atom:title".
`void` | `atomTitle(java.lang.String rText, java.lang.String oLocale)` Writes the start and the end tag for "atom:title".
`void` | `atomUpdated(java.util.Date rDate)` Writes the start and the end tag for "atom:updated".
`void` | `atomUpdated(long rDate)` Writes the start and the end tag for "atom:updated".
`void` | `atomUpdated(java.lang.String rDate)` Writes the start and the end tag for "atom:updated".
`void` | `atomURI(java.lang.String rUri)` Writes the start and the end tag for "atom:uri".
`void` | `atomURI(java.net.URI rUri)` Writes the start and the end tag for "atom:uri".
`void` | `atomURI(java.net.URL rUrl)` Writes the start and the end tag for "atom:uri".
`void` | `startAuthor()` Indicates the start of an `atom:author` entry.
`void` | `startCategory(java.lang.String rTerm, java.lang.String oScheme, java.lang.String oLabel)` Indicates the start of an `atom:category` entry.
`void` | `startCategory(java.lang.String rTerm, java.lang.String oScheme, java.lang.String oLabel, java.util.Locale oLocale)` Indicates the start of an `atom:category` entry.
`void` | `startCategory(java.lang.String rTerm, java.lang.String oScheme, java.lang.String oLabel, java.lang.String oLocale)` Indicates the start of an `atom:category` entry.
`void` | `startContent(java.lang.String oType, java.lang.String oSrc)` Indicates the start of an `atom:content` entry.
`void` | `startContent(java.lang.String oType, java.lang.String oSrc, java.util.Locale oLocale)` Indicates the start of an `atom:content` entry.
`void` | `startContent(java.lang.String oType, java.lang.String oSrc, java.lang.String oLocale)` Indicates the start of an `atom:content` entry.
`void` | `startContributor()` Indicates the start of an `atom:contributor` entry.
`void` | `startEMail()` Indicates the start of an `atom:email` entry.
`void` | `startEntry()` Indicates the start of an `atom:entry` entry.
`void` | `startFeed()` Indicates the start of an `atom:feed` entry.
`void` | `startGenerator(java.lang.String oUri, java.lang.String oVersion)` Indicates the start of an `atom:generator` entry.
`void` | `startIcon()` Indicates the start of an `atom:icon` entry.
`void` | `startId()` Indicates the start of an `atom:id` entry.
`void` | `startLink(java.lang.String rHref, java.lang.String oRel, java.lang.String oType, java.lang.String oHrefLang, java.lang.String oTitle, java.lang.String oLength)` Indicates the start of an `atom:link` entry.
`void` | `startLogo()` Indicates the start of an `atom:logo` entry.
`void` | `startName()` Indicates the start of an `atom:name` entry.
`void` | `startPublished()` Indicates the start of an `atom:published` entry.
`void` | `startRights()` Indicates the start of an `atom:rights` entry.
`void` | `startSource()` Indicates the start of an `atom:source` entry.
`void` | `startSubtitle(java.lang.String oType)` Indicates the start of an `atom:subtitle` entry.
`void` | `startSubtitle(java.lang.String oType, java.util.Locale oLocale)` Indicates the start of an `atom:subtitle` entry.
`void` | `startSubtitle(java.lang.String oType, java.lang.String oLocale)` Indicates the start of an `atom:subtitle` entry.
`void` | `startSummary(java.lang.String oType)` Indicates the start of an `atom:summary` entry.
`void` | `startSummary(java.lang.String oType, java.util.Locale oLocale)` Indicates the start of an `atom:summary` entry.
`void` | `startSummary(java.lang.String oType, java.lang.String oLocale)` Indicates the start of an `atom:summary` entry.
`void` | `startTitle(java.lang.String oType)` Indicates the start of an `atom:title` entry.
`void` | `startTitle(java.lang.String oType, java.util.Locale oLocale)` Indicates the start of an `atom:title` entry.
`void` | `startTitle(java.lang.String oType, java.lang.String oLocale)` Indicates the start of an `atom:title` entry.
`void` | `startUpdated()` Indicates the start of an `atom:updated` entry.
`void` | `startURI()` Indicates the start of an `atom:uri` entry.

Methods inherited from interface com.ibm.portal.resolver.atom.ResettableAtomContentHandler
`getAtomContentHandler, setAtomContentHandler`

Methods inherited from interface com.ibm.portal.resolver.atom.AtomContentHandler
`endAuthor, endCategory, endContent, endContributor, endEMail, endEntry, endFeed, endGenerator, endIcon, endId, endLink, endLogo, endName, endPublished, endRights, endSource, endSubtitle, endSummary, endTitle, endUpdated, endURI, startAuthor, startCategory, startContent, startContributor, startEMail, startEntry, startFeed, startGenerator, startIcon, startId, startLink, startLogo, startName, startPublished, startRights, startSource, startSubtitle, startSummary, startTitle, startUpdated, startURI`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface com.ibm.portal.resolver.xml.DefaultContentHandler
`dateTime, dateTime, getInnerContentHandler, getResult, getWriter, number, number, text, text, transform, uri, uri, uri, uri`

Method Detail

### atomAuthor

    void atomAuthor(java.lang.String rText)
                    throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:author".

  Parameters:
    `rText` - Author information in plain text that will be written as the text() element inside the start and the end tag. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  See Also:
    `AtomContentHandler.startAuthor(Attributes)`, `AtomContentHandler.endAuthor()`

### atomCategory

    void atomCategory(java.lang.String rTerm,
                      java.lang.String oScheme,
                      java.lang.String oLabel)
                      throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:category".

  The "atom:category" element conveys information about a category associated with an entry or feed. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rTerm` - Mandatory term attribute, must not be `null`.

    The "term" attribute is a string that identifies the category to which the entry or feed belongs. Category elements MUST have a "term" attribute.

    `oScheme` - Optional scheme attribute, may be `null`.

    The "scheme" attribute is an IRI that identifies a categorization scheme. Category elements MAY have a "scheme" attribute.

    `oLabel` - Optional label attribute, may be `null`.

    The "label" attribute provides a human-readable label for display in end-user applications. The content of the "label" attribute is Language-Sensitive. Entities such as "&amp;" and &lt;" represent their corresponding characters ("&" and "<", respectively), not markup. Category elements MAY have a "label" attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startCategory(String, String, String, Attributes)`

### atomCategory

    void atomCategory(java.lang.String rTerm,
                      java.lang.String oScheme,
                      java.lang.String oLabel,
                      java.util.Locale oLocale)
                      throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:category".

  The "atom:category" element conveys information about a category associated with an entry or feed. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rTerm` - Mandatory term attribute, must not be `null`.

    The "term" attribute is a string that identifies the category to which the entry or feed belongs. Category elements MUST have a "term" attribute.

    `oScheme` - Optional scheme attribute, may be `null`.

    The "scheme" attribute is an IRI that identifies a categorization scheme. Category elements MAY have a "scheme" attribute.

    `oLabel` - Optional label attribute, may be `null`.

    The "label" attribute provides a human-readable label for display in end-user applications. The content of the "label" attribute is Language-Sensitive. Entities such as "&amp;" and &lt;" represent their corresponding characters ("&" and "<", respectively), not markup. Category elements MAY have a "label" attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startCategory(String, String, String, Attributes)`

### atomCategory

    void atomCategory(java.lang.String rTerm,
                      java.lang.String oScheme,
                      java.lang.String oLabel,
                      java.lang.String oLocale)
                      throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:category".

  The "atom:category" element conveys information about a category associated with an entry or feed. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rTerm` - Mandatory term attribute, must not be `null`.

    The "term" attribute is a string that identifies the category to which the entry or feed belongs. Category elements MUST have a "term" attribute.

    `oScheme` - Optional scheme attribute, may be `null`.

    The "scheme" attribute is an IRI that identifies a categorization scheme. Category elements MAY have a "scheme" attribute.

    `oLabel` - Optional label attribute, may be `null`.

    The "label" attribute provides a human-readable label for display in end-user applications. The content of the "label" attribute is Language-Sensitive. Entities such as "&amp;" and &lt;" represent their corresponding characters ("&" and "<", respectively), not markup. Category elements MAY have a "label" attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startCategory(String, String, String, Attributes)`

### atomContent

    void atomContent(java.lang.String rText)
                     throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:content". The method assumes "text/plain" as the content type and not source attribute.

  Parameters:
    `rText` - Content information in plain text that will be written as the text() element inside the start and the end tag. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  See Also:
    `AtomContentHandler.startContent(String, String, Attributes)`, `AtomContentHandler.endContent()`

### atomContent

    void atomContent(java.lang.String rText,
                     java.util.Locale oLocale)
                     throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:content". The method assumes "text/plain" as the content type and not source attribute.

  Parameters:
    `rText` - Content information in plain text that will be written as the text() element inside the start and the end tag. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startContent(String, String, Attributes)`, `AtomContentHandler.endContent()`

### atomContent

    void atomContent(java.lang.String rText,
                     java.lang.String oLocale)
                     throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:content". The method assumes "text/plain" as the content type and not source attribute.

  Parameters:
    `rText` - Content information in plain text that will be written as the text() element inside the start and the end tag. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startContent(String, String, Attributes)`, `AtomContentHandler.endContent()`

### atomContributor

    void atomContributor(java.lang.String rText)
                         throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:contributor".

  Parameters:
    `rText` - Contributor information in plain text that will be written as the text() element inside the start and the end tag. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  See Also:
    `AtomContentHandler.startContributor(Attributes)`, `AtomContentHandler.endContributor()`

### atomEMail

    void atomEMail(java.lang.String rText)
                   throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:email".

  Parameters:
    `rText` - Email that MUST conform to the "addr-spec" production in [RFC2822]. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  See Also:
    `AtomContentHandler.startEMail(Attributes)`, `AtomContentHandler.endEMail()`

### atomGenerator

    void atomGenerator(java.lang.String oUri,
                       java.lang.String oVersion,
                       java.lang.String rText)
                       throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:generator".

  Parameters:
    `oUri` - Optional uri attribute, may be `null`.

    The atom:generator element MAY have a "uri" attribute whose value MUST be an IRI reference [RFC3987]. When dereferenced, the resulting URI (mapped from an IRI, if necessary) SHOULD produce a representation that is relevant to that agent.

    `oVersion` - Optional version attribute, may be `null`.

    The atom:generator element MAY have a "version" attribute that indicates the version of the generating agent.

    `rText` - Generator information in plain text that will be written as the text() element inside the start and the end tag. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  See Also:
    `AtomContentHandler.startGenerator(String, String, Attributes)`, `AtomContentHandler.endGenerator()`

### atomIcon

    void atomIcon(java.lang.String rUri)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:icon".

  Parameters:
    `rUri` - The "atom:icon" element's content is an IRI reference [RFC3987] that identifies an image that provides iconic visual identification for a feed. Must not be `null`
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  See Also:
    `AtomContentHandler.startIcon(Attributes)`, `AtomContentHandler.endIcon()`

### atomIcon

    void atomIcon(java.net.URI rUri)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:icon".

  Parameters:
    `rUri` - The "atom:icon" element's content is an IRI reference [RFC3987] that identifies an image that provides iconic visual identification for a feed. Must not be `null`
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  See Also:
    `AtomContentHandler.startIcon(Attributes)`, `AtomContentHandler.endIcon()`

### atomIcon

    void atomIcon(java.net.URL rUri)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:icon".

  Parameters:
    `rUri` - The "atom:icon" element's content is an IRI reference [RFC3987] that identifies an image that provides iconic visual identification for a feed. Must not be `null`
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  See Also:
    `AtomContentHandler.startIcon(Attributes)`, `AtomContentHandler.endIcon()`

### atomId

    void atomId(java.lang.String rID)
                throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:id".

  Parameters:
    `rID` - The "atom:id" element conveys a permanent, universally unique identifier for an entry or feed. Its content MUST be an IRI, as defined by [RFC3987]. Note that the definition of "IRI" excludes relative references. Though the IRI might use a dereferencable scheme, Atom Processors MUST NOT assume it can be dereferenced. Must not be `null`
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  See Also:
    `AtomContentHandler.startId(Attributes)`, `AtomContentHandler.endId()`

### atomId

    void atomId(java.net.URI rID)
                throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:id".

  Parameters:
    `rID` - The "atom:id" element conveys a permanent, universally unique identifier for an entry or feed. Its content MUST be an IRI, as defined by [RFC3987]. Note that the definition of "IRI" excludes relative references. Though the IRI might use a dereferencable scheme, Atom Processors MUST NOT assume it can be dereferenced. Must not be `null`
  Throws:
    `org.xml.sax.SAXException` - if the element could not be written
  See Also:
    `AtomContentHandler.startId(Attributes)`, `AtomContentHandler.endId()`

### atomLink

    void atomLink(java.lang.String rHref)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:link".

  The "atom:link" element defines a reference from an entry or feed to a Web resource. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rHref` - Mandatory href attribute, must not be `null`.

    The "href" attribute contains the link's IRI. atom:link elements MUST have an href attribute, whose value MUST be a IRI reference [RFC3987].

    `oRel` - Optional rel attribute, may be `null`.

    atom:link elements MAY have a "rel" attribute that indicates the link relation type. If the "rel" attribute is not present, the link element MUST be interpreted as if the link relation type is "alternate".

    The value of "rel" MUST be a string that is non-empty and matches either the "isegment-nz-nc" or the "IRI" production in [RFC3987]. Note that use of a relative reference other than a simple name is not allowed. If a name is given, implementations MUST consider the link relation type equivalent to the same name registered within the IANA

    `oType` - Optional type attribute, may be `null`.

    On the link element, the "type" attribute's value is an advisory media type: it is a hint about the type of the representation that is expected to be returned when the value of the href attribute is dereferenced. Note that the type attribute does not override the actual media type returned with the representation. Link elements MAY have a type attribute, whose value MUST conform to the syntax of a MIME media type [MIMEREG].

    `oHrefLang` - Optional hreflang attribute, may be `null`.

    The "hreflang" attribute's content describes the language of the resource pointed to by the href attribute. When used together with the rel="alternate", it implies a translated version of the entry. Link elements MAY have an hreflang attribute, whose value MUST be a language tag [RFC3066].

    `oTitle` - Optional title attribute, may be `null`.

    The "title" attribute conveys human-readable information about the link. The content of the "title" attribute is Language-Sensitive. Entities such as "&" and "<" represent their corresponding characters ("&" and "<", respectively), not markup. Link elements MAY have a title attribute.

    `oLength` - Optional length attribute, may be `null`.

    The "length" attribute indicates an advisory length of the linked content in octets; it is a hint about the content length of the representation returned when the IRI in the href attribute is mapped to a URI and dereferenced. Note that the length attribute does not override the actual content length of the representation as reported by the underlying protocol. Link elements MAY have a length attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.1
  See Also:
    `AtomContentHandler.startLink(String, String, String, String, String, String, Attributes)`, `AtomContentHandler.endLink()`

### atomLink

    void atomLink(java.lang.String rHref,
                  java.lang.String oRel)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:link".

  The "atom:link" element defines a reference from an entry or feed to a Web resource. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rHref` - Mandatory href attribute, must not be `null`.

    The "href" attribute contains the link's IRI. atom:link elements MUST have an href attribute, whose value MUST be a IRI reference [RFC3987].

    `oRel` - Optional rel attribute, may be `null`.

    atom:link elements MAY have a "rel" attribute that indicates the link relation type. If the "rel" attribute is not present, the link element MUST be interpreted as if the link relation type is "alternate".

    The value of "rel" MUST be a string that is non-empty and matches either the "isegment-nz-nc" or the "IRI" production in [RFC3987]. Note that use of a relative reference other than a simple name is not allowed. If a name is given, implementations MUST consider the link relation type equivalent to the same name registered within the IANA

    `oType` - Optional type attribute, may be `null`.

    On the link element, the "type" attribute's value is an advisory media type: it is a hint about the type of the representation that is expected to be returned when the value of the href attribute is dereferenced. Note that the type attribute does not override the actual media type returned with the representation. Link elements MAY have a type attribute, whose value MUST conform to the syntax of a MIME media type [MIMEREG].

    `oHrefLang` - Optional hreflang attribute, may be `null`.

    The "hreflang" attribute's content describes the language of the resource pointed to by the href attribute. When used together with the rel="alternate", it implies a translated version of the entry. Link elements MAY have an hreflang attribute, whose value MUST be a language tag [RFC3066].

    `oTitle` - Optional title attribute, may be `null`.

    The "title" attribute conveys human-readable information about the link. The content of the "title" attribute is Language-Sensitive. Entities such as "&" and "<" represent their corresponding characters ("&" and "<", respectively), not markup. Link elements MAY have a title attribute.

    `oLength` - Optional length attribute, may be `null`.

    The "length" attribute indicates an advisory length of the linked content in octets; it is a hint about the content length of the representation returned when the IRI in the href attribute is mapped to a URI and dereferenced. Note that the length attribute does not override the actual content length of the representation as reported by the underlying protocol. Link elements MAY have a length attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.1
  See Also:
    `AtomContentHandler.startLink(String, String, String, String, String, String, Attributes)`, `AtomContentHandler.endLink()`

### atomLink

    void atomLink(java.lang.String rHref,
                  java.lang.String oRel,
                  java.lang.String oType)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:link".

  The "atom:link" element defines a reference from an entry or feed to a Web resource. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rHref` - Mandatory href attribute, must not be `null`.

    The "href" attribute contains the link's IRI. atom:link elements MUST have an href attribute, whose value MUST be a IRI reference [RFC3987].

    `oRel` - Optional rel attribute, may be `null`.

    atom:link elements MAY have a "rel" attribute that indicates the link relation type. If the "rel" attribute is not present, the link element MUST be interpreted as if the link relation type is "alternate".

    The value of "rel" MUST be a string that is non-empty and matches either the "isegment-nz-nc" or the "IRI" production in [RFC3987]. Note that use of a relative reference other than a simple name is not allowed. If a name is given, implementations MUST consider the link relation type equivalent to the same name registered within the IANA

    `oType` - Optional type attribute, may be `null`.

    On the link element, the "type" attribute's value is an advisory media type: it is a hint about the type of the representation that is expected to be returned when the value of the href attribute is dereferenced. Note that the type attribute does not override the actual media type returned with the representation. Link elements MAY have a type attribute, whose value MUST conform to the syntax of a MIME media type [MIMEREG].

    `oHrefLang` - Optional hreflang attribute, may be `null`.

    The "hreflang" attribute's content describes the language of the resource pointed to by the href attribute. When used together with the rel="alternate", it implies a translated version of the entry. Link elements MAY have an hreflang attribute, whose value MUST be a language tag [RFC3066].

    `oTitle` - Optional title attribute, may be `null`.

    The "title" attribute conveys human-readable information about the link. The content of the "title" attribute is Language-Sensitive. Entities such as "&" and "<" represent their corresponding characters ("&" and "<", respectively), not markup. Link elements MAY have a title attribute.

    `oLength` - Optional length attribute, may be `null`.

    The "length" attribute indicates an advisory length of the linked content in octets; it is a hint about the content length of the representation returned when the IRI in the href attribute is mapped to a URI and dereferenced. Note that the length attribute does not override the actual content length of the representation as reported by the underlying protocol. Link elements MAY have a length attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.1
  See Also:
    `AtomContentHandler.startLink(String, String, String, String, String, String, Attributes)`, `AtomContentHandler.endLink()`

### atomLink

    void atomLink(java.lang.String rHref,
                  java.lang.String oRel,
                  java.lang.String oType,
                  java.lang.String oHrefLang,
                  java.lang.String oTitle,
                  long oLength)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:link".

  The "atom:link" element defines a reference from an entry or feed to a Web resource. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rHref` - Mandatory href attribute, must not be `null`.

    The "href" attribute contains the link's IRI. atom:link elements MUST have an href attribute, whose value MUST be a IRI reference [RFC3987].

    `oRel` - Optional rel attribute, may be `null`.

    atom:link elements MAY have a "rel" attribute that indicates the link relation type. If the "rel" attribute is not present, the link element MUST be interpreted as if the link relation type is "alternate".

    The value of "rel" MUST be a string that is non-empty and matches either the "isegment-nz-nc" or the "IRI" production in [RFC3987]. Note that use of a relative reference other than a simple name is not allowed. If a name is given, implementations MUST consider the link relation type equivalent to the same name registered within the IANA

    `oType` - Optional type attribute, may be `null`.

    On the link element, the "type" attribute's value is an advisory media type: it is a hint about the type of the representation that is expected to be returned when the value of the href attribute is dereferenced. Note that the type attribute does not override the actual media type returned with the representation. Link elements MAY have a type attribute, whose value MUST conform to the syntax of a MIME media type [MIMEREG].

    `oHrefLang` - Optional hreflang attribute, may be `null`.

    The "hreflang" attribute's content describes the language of the resource pointed to by the href attribute. When used together with the rel="alternate", it implies a translated version of the entry. Link elements MAY have an hreflang attribute, whose value MUST be a language tag [RFC3066].

    `oTitle` - Optional title attribute, may be `null`.

    The "title" attribute conveys human-readable information about the link. The content of the "title" attribute is Language-Sensitive. Entities such as "&" and "<" represent their corresponding characters ("&" and "<", respectively), not markup. Link elements MAY have a title attribute.

    `oLength` - Optional length attribute, may be `null`.

    The "length" attribute indicates an advisory length of the linked content in octets; it is a hint about the content length of the representation returned when the IRI in the href attribute is mapped to a URI and dereferenced. Note that the length attribute does not override the actual content length of the representation as reported by the underlying protocol. Link elements MAY have a length attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startLink(String, String, String, String, String, String, Attributes)`, `AtomContentHandler.endLink()`

### atomLink

    void atomLink(java.lang.String rHref,
                  java.lang.String oRel,
                  java.lang.String oType,
                  java.lang.String oHrefLang,
                  java.lang.String oTitle,
                  java.lang.String oLength)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:link".

  The "atom:link" element defines a reference from an entry or feed to a Web resource. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rHref` - Mandatory href attribute, must not be `null`.

    The "href" attribute contains the link's IRI. atom:link elements MUST have an href attribute, whose value MUST be a IRI reference [RFC3987].

    `oRel` - Optional rel attribute, may be `null`.

    atom:link elements MAY have a "rel" attribute that indicates the link relation type. If the "rel" attribute is not present, the link element MUST be interpreted as if the link relation type is "alternate".

    The value of "rel" MUST be a string that is non-empty and matches either the "isegment-nz-nc" or the "IRI" production in [RFC3987]. Note that use of a relative reference other than a simple name is not allowed. If a name is given, implementations MUST consider the link relation type equivalent to the same name registered within the IANA

    `oType` - Optional type attribute, may be `null`.

    On the link element, the "type" attribute's value is an advisory media type: it is a hint about the type of the representation that is expected to be returned when the value of the href attribute is dereferenced. Note that the type attribute does not override the actual media type returned with the representation. Link elements MAY have a type attribute, whose value MUST conform to the syntax of a MIME media type [MIMEREG].

    `oHrefLang` - Optional hreflang attribute, may be `null`.

    The "hreflang" attribute's content describes the language of the resource pointed to by the href attribute. When used together with the rel="alternate", it implies a translated version of the entry. Link elements MAY have an hreflang attribute, whose value MUST be a language tag [RFC3066].

    `oTitle` - Optional title attribute, may be `null`.

    The "title" attribute conveys human-readable information about the link. The content of the "title" attribute is Language-Sensitive. Entities such as "&" and "<" represent their corresponding characters ("&" and "<", respectively), not markup. Link elements MAY have a title attribute.

    `oLength` - Optional length attribute, may be `null`.

    The "length" attribute indicates an advisory length of the linked content in octets; it is a hint about the content length of the representation returned when the IRI in the href attribute is mapped to a URI and dereferenced. Note that the length attribute does not override the actual content length of the representation as reported by the underlying protocol. Link elements MAY have a length attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startLink(String, String, String, String, String, String, Attributes)`, `AtomContentHandler.endLink()`

### atomLogo

    void atomLogo(java.lang.String rUri)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:logo".

  Parameters:
    `rUri` - The "atom:logo" element's content is an IRI reference [RFC3987] that identifies an image that provides visual identification for a feed. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startLogo(Attributes)`, `AtomContentHandler.endLogo()`

### atomLogo

    void atomLogo(java.net.URI rUri)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:logo".

  Parameters:
    `rUri` - The "atom:logo" element's content is an IRI reference [RFC3987] that identifies an image that provides visual identification for a feed. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startLogo(Attributes)`, `AtomContentHandler.endLogo()`

### atomLogo

    void atomLogo(java.net.URL rUri)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:logo".

  Parameters:
    `rUri` - The "atom:logo" element's content is an IRI reference [RFC3987] that identifies an image that provides visual identification for a feed. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startLogo(Attributes)`, `AtomContentHandler.endLogo()`

### atomName

    void atomName(java.lang.String rText)
                  throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:name".

  Parameters:
    `rText` - The "atom:name" element's content conveys a human-readable name for the person. The content of atom:name is Language-Sensitive. Person constructs MUST contain exactly one "atom:name" element. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startName(Attributes)`, `AtomContentHandler.endName()`

### atomPublished

    void atomPublished(java.util.Date rDate)
                       throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:published".

  Parameters:
    `rDate` - The "atom:published" element is a Date construct indicating an instant in time associated with an event early in the life cycle of the entry. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startPublished(Attributes)`, `AtomContentHandler.endPublished()`

### atomPublished

    void atomPublished(long rDate)
                       throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:published".

  Parameters:
    `rDate` - The "atom:published" element is a Date construct indicating an instant in time associated with an event early in the life cycle of the entry. The date is specified as the milliseconds since January 1, 1970, 00:00:00 GMT.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startPublished(Attributes)`, `AtomContentHandler.endPublished()`

### atomPublished

    void atomPublished(java.lang.String rDate)
                       throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:published".

  Parameters:
    `rDate` - The "atom:published" element is a Date construct indicating an instant in time associated with an event early in the life cycle of the entry. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.1
  See Also:
    `AtomContentHandler.startPublished(Attributes)`, `AtomContentHandler.endPublished()`

### atomRights

    void atomRights(java.lang.String rText)
                    throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:rights".

  Parameters:
    `rText` - The "atom:rights" element is a Text construct that conveys information about rights held in and over an entry or feed. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startRights(Attributes)`, `AtomContentHandler.endRights()`

### atomSubtitle

    void atomSubtitle(java.lang.String rText)
                      throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:subtitle". Assumes "text/plain" for the format of the subtitle.

  Parameters:
    `rText` - The "atom:subtitle" element is a Text construct that conveys a human- readable description or subtitle for a feed. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startSubtitle(String, Attributes)`, `AtomContentHandler.endSubtitle()`

### atomSubtitle

    void atomSubtitle(java.lang.String rText,
                      java.util.Locale oLocale)
                      throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:subtitle". Assumes "text/plain" for the format of the subtitle.

  Parameters:
    `rText` - The "atom:subtitle" element is a Text construct that conveys a human- readable description or subtitle for a feed. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startSubtitle(String, Attributes)`, `AtomContentHandler.endSubtitle()`

### atomSubtitle

    void atomSubtitle(java.lang.String rText,
                      java.lang.String oLocale)
                      throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:subtitle". Assumes "text/plain" for the format of the subtitle.

  Parameters:
    `rText` - The "atom:subtitle" element is a Text construct that conveys a human- readable description or subtitle for a feed. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startSubtitle(String, Attributes)`, `AtomContentHandler.endSubtitle()`

### atomSummary

    void atomSummary(java.lang.String rText)
                     throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:summary". Assumes "text/plain" for the format of the summary.

  Parameters:
    `rText` - The "atom:summary" element is a Text construct that conveys a short summary, abstract, or excerpt of an entry. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startSummary(String, Attributes)`, `AtomContentHandler.endSummary()`

### atomSummary

    void atomSummary(java.lang.String rText,
                     java.util.Locale oLocale)
                     throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:summary". Assumes "text/plain" for the format of the summary.

  Parameters:
    `rText` - The "atom:summary" element is a Text construct that conveys a short summary, abstract, or excerpt of an entry. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startSummary(String, Attributes)`, `AtomContentHandler.endSummary()`

### atomSummary

    void atomSummary(java.lang.String rText,
                     java.lang.String oLocale)
                     throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:summary". Assumes "text/plain" for the format of the summary.

  Parameters:
    `rText` - The "atom:summary" element is a Text construct that conveys a short summary, abstract, or excerpt of an entry. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startSummary(String, Attributes)`, `AtomContentHandler.endSummary()`

### atomTitle

    void atomTitle(java.lang.String rText)
                   throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:title". Assumes "text/plain" for the format of the title.

  Parameters:
    `rText` - The "atom:title" element is a Text construct that conveys a human- readable title for an entry or feed. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startTitle(String, Attributes)`, `AtomContentHandler.endTitle()`

### atomTitle

    void atomTitle(java.lang.String rText,
                   java.util.Locale oLocale)
                   throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:title". Assumes "text/plain" for the format of the title.

  Parameters:
    `rText` - The "atom:title" element is a Text construct that conveys a human- readable title for an entry or feed. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startTitle(String, Attributes)`, `AtomContentHandler.endTitle()`

### atomTitle

    void atomTitle(java.lang.String rText,
                   java.lang.String oLocale)
                   throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:title". Assumes "text/plain" for the format of the title.

  Parameters:
    `rText` - The "atom:title" element is a Text construct that conveys a human- readable title for an entry or feed. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startTitle(String, Attributes)`, `AtomContentHandler.endTitle()`

### atomUpdated

    void atomUpdated(java.util.Date rDate)
                     throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:updated".

  Parameters:
    `rDate` - The "atom:updated" element is a Date construct indicating the most recent instant in time when an entry or feed was modified in a way the publisher considers significant. Therefore, not all modifications necessarily result in a changed atom:updated value. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startUpdated(Attributes)`, `AtomContentHandler.endUpdated()`

### atomUpdated

    void atomUpdated(long rDate)
                     throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:updated".

  Parameters:
    `rDate` - The "atom:updated" element is a Date construct indicating the most recent instant in time when an entry or feed was modified in a way the publisher considers significant. Therefore, not all modifications necessarily result in a changed atom:updated value. The date is specified as the milliseconds since January 1, 1970, 00:00:00 GMT.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startUpdated(Attributes)`, `AtomContentHandler.endUpdated()`

### atomUpdated

    void atomUpdated(java.lang.String rDate)
                     throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:updated".

  Parameters:
    `rDate` - The "atom:updated" element is a Date construct indicating the most recent instant in time when an entry or feed was modified in a way the publisher considers significant. Therefore, not all modifications necessarily result in a changed atom:updated value. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.1
  See Also:
    `AtomContentHandler.startUpdated(Attributes)`, `AtomContentHandler.endUpdated()`

### atomURI

    void atomURI(java.lang.String rUri)
                 throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:uri".

  Parameters:
    `rUri` - The "atom:uri" element's content conveys an IRI associated with the person. Person constructs MAY contain an atom:uri element, but MUST NOT contain more than one. The content of atom:uri in a Person construct MUST be an IRI reference [RFC3987]. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startURI(Attributes)`, `AtomContentHandler.endURI()`

### atomURI

    void atomURI(java.net.URI rUri)
                 throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:uri".

  Parameters:
    `rUri` - The "atom:uri" element's content conveys an IRI associated with the person. Person constructs MAY contain an atom:uri element, but MUST NOT contain more than one. The content of atom:uri in a Person construct MUST be an IRI reference [RFC3987]. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startURI(Attributes)`, `AtomContentHandler.endURI()`

### atomURI

    void atomURI(java.net.URL rUrl)
                 throws org.xml.sax.SAXException

  Writes the start and the end tag for "atom:uri".

  Parameters:
    `rUrl` - The "atom:uri" element's content conveys an IRI associated with the person. Person constructs MAY contain an atom:uri element, but MUST NOT contain more than one. The content of atom:uri in a Person construct MUST be an IRI reference [RFC3987]. Must not be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startURI(Attributes)`, `AtomContentHandler.endURI()`

### startAuthor

    void startAuthor()
                     throws org.xml.sax.SAXException

  Indicates the start of an `atom:author` entry.

  The "atom:author" element is a Person construct that indicates the author of the entry or feed

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startAuthor(Attributes)`

### startCategory

    void startCategory(java.lang.String rTerm,
                       java.lang.String oScheme,
                       java.lang.String oLabel)
                       throws org.xml.sax.SAXException

  Indicates the start of an `atom:category` entry.

  The "atom:category" element conveys information about a category associated with an entry or feed. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rTerm` - Mandatory term attribute, must not be `null`.

    The "term" attribute is a string that identifies the category to which the entry or feed belongs. Category elements MUST have a "term" attribute.

    `oScheme` - Optional scheme attribute, may be `null`.

    The "scheme" attribute is an IRI that identifies a categorization scheme. Category elements MAY have a "scheme" attribute.

    `oLabel` - Optional label attribute, may be `null`.

    The "label" attribute provides a human-readable label for display in end-user applications. The content of the "label" attribute is Language-Sensitive. Entities such as "&amp;" and &lt;" represent their corresponding characters ("&" and "<", respectively), not markup. Category elements MAY have a "label" attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startCategory(String, String, String, Attributes)`

### startCategory

    void startCategory(java.lang.String rTerm,
                       java.lang.String oScheme,
                       java.lang.String oLabel,
                       java.util.Locale oLocale)
                       throws org.xml.sax.SAXException

  Indicates the start of an `atom:category` entry.

  The "atom:category" element conveys information about a category associated with an entry or feed. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rTerm` - Mandatory term attribute, must not be `null`.

    The "term" attribute is a string that identifies the category to which the entry or feed belongs. Category elements MUST have a "term" attribute.

    `oScheme` - Optional scheme attribute, may be `null`.

    The "scheme" attribute is an IRI that identifies a categorization scheme. Category elements MAY have a "scheme" attribute.

    `oLabel` - Optional label attribute, may be `null`.

    The "label" attribute provides a human-readable label for display in end-user applications. The content of the "label" attribute is Language-Sensitive. Entities such as "&amp;" and &lt;" represent their corresponding characters ("&" and "<", respectively), not markup. Category elements MAY have a "label" attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startCategory(String, String, String, Attributes)`

### startCategory

    void startCategory(java.lang.String rTerm,
                       java.lang.String oScheme,
                       java.lang.String oLabel,
                       java.lang.String oLocale)
                       throws org.xml.sax.SAXException

  Indicates the start of an `atom:category` entry.

  The "atom:category" element conveys information about a category associated with an entry or feed. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rTerm` - Mandatory term attribute, must not be `null`.

    The "term" attribute is a string that identifies the category to which the entry or feed belongs. Category elements MUST have a "term" attribute.

    `oScheme` - Optional scheme attribute, may be `null`.

    The "scheme" attribute is an IRI that identifies a categorization scheme. Category elements MAY have a "scheme" attribute.

    `oLabel` - Optional label attribute, may be `null`.

    The "label" attribute provides a human-readable label for display in end-user applications. The content of the "label" attribute is Language-Sensitive. Entities such as "&amp;" and &lt;" represent their corresponding characters ("&" and "<", respectively), not markup. Category elements MAY have a "label" attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startCategory(String, String, String, Attributes)`

### startContent

    void startContent(java.lang.String oType,
                      java.lang.String oSrc)
                      throws org.xml.sax.SAXException

  Indicates the start of an `atom:content` entry.

  The "atom:content" element either contains or links to the content of the entry. The content of atom:content is Language-Sensitive.

  Parameters:
    `oType` - Optional type attribute, may be `null`.

    On the atom:content element, the value of the "type" attribute MAY be one of "text", "html", or "xhtml". Failing that, it MUST conform to the syntax of a MIME media type, but MUST NOT be a composite type (see Section 4.2.6 of [MIMEREG]). If neither the type attribute nor the src attribute is provided, Atom Processors MUST behave as though the type attribute were present with a value of "text".

    `oSrc` - Optional source attribute, may be `null`.

    atom:content MAY have a "src" attribute, whose value MUST be an IRI reference [RFC3987]. If the "src" attribute is present, atom:content MUST be empty. Atom Processors MAY use the IRI to retrieve the content and MAY choose to ignore remote content or to present it in a different manner than local content.

    If the "src" attribute is present, the "type" attribute SHOULD be provided and MUST be a MIME media type [MIMEREG], rather than "text", "html", or "xhtml". The value is advisory; that is to say, when the corresponding URI (mapped from an IRI, if necessary) is dereferenced, if the server providing that content also provides a media type, the server-provided media type is authoritative.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startContent(String, String, Attributes)`

### startContent

    void startContent(java.lang.String oType,
                      java.lang.String oSrc,
                      java.util.Locale oLocale)
                      throws org.xml.sax.SAXException

  Indicates the start of an `atom:content` entry.

  The "atom:content" element either contains or links to the content of the entry. The content of atom:content is Language-Sensitive.

  Parameters:
    `oType` - Optional type attribute, may be `null`.

    On the atom:content element, the value of the "type" attribute MAY be one of "text", "html", or "xhtml". Failing that, it MUST conform to the syntax of a MIME media type, but MUST NOT be a composite type (see Section 4.2.6 of [MIMEREG]). If neither the type attribute nor the src attribute is provided, Atom Processors MUST behave as though the type attribute were present with a value of "text".

    `oSrc` - Optional source attribute, may be `null`.

    atom:content MAY have a "src" attribute, whose value MUST be an IRI reference [RFC3987]. If the "src" attribute is present, atom:content MUST be empty. Atom Processors MAY use the IRI to retrieve the content and MAY choose to ignore remote content or to present it in a different manner than local content.

    If the "src" attribute is present, the "type" attribute SHOULD be provided and MUST be a MIME media type [MIMEREG], rather than "text", "html", or "xhtml". The value is advisory; that is to say, when the corresponding URI (mapped from an IRI, if necessary) is dereferenced, if the server providing that content also provides a media type, the server-provided media type is authoritative.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startContent(String, String, Attributes)`

### startContent

    void startContent(java.lang.String oType,
                      java.lang.String oSrc,
                      java.lang.String oLocale)
                      throws org.xml.sax.SAXException

  Indicates the start of an `atom:content` entry.

  The "atom:content" element either contains or links to the content of the entry. The content of atom:content is Language-Sensitive.

  Parameters:
    `oType` - Optional type attribute, may be `null`.

    On the atom:content element, the value of the "type" attribute MAY be one of "text", "html", or "xhtml". Failing that, it MUST conform to the syntax of a MIME media type, but MUST NOT be a composite type (see Section 4.2.6 of [MIMEREG]). If neither the type attribute nor the src attribute is provided, Atom Processors MUST behave as though the type attribute were present with a value of "text".

    `oSrc` - Optional source attribute, may be `null`.

    atom:content MAY have a "src" attribute, whose value MUST be an IRI reference [RFC3987]. If the "src" attribute is present, atom:content MUST be empty. Atom Processors MAY use the IRI to retrieve the content and MAY choose to ignore remote content or to present it in a different manner than local content.

    If the "src" attribute is present, the "type" attribute SHOULD be provided and MUST be a MIME media type [MIMEREG], rather than "text", "html", or "xhtml". The value is advisory; that is to say, when the corresponding URI (mapped from an IRI, if necessary) is dereferenced, if the server providing that content also provides a media type, the server-provided media type is authoritative.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startContent(String, String, Attributes)`

### startContributor

    void startContributor()
                          throws org.xml.sax.SAXException

  Indicates the start of an `atom:contributor` entry.

  The "atom:contributor" element is a Person construct that indicates a person or other entity who contributed to the entry or feed.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startContributor(Attributes)`

### startEMail

    void startEMail()
                    throws org.xml.sax.SAXException

  Indicates the start of an `atom:email` entry.

  The "atom:email" element's content conveys an e-mail address associated with the person. Person constructs MAY contain an atom:email element, but MUST NOT contain more than one. Its content MUST conform to the "addr-spec" production in [RFC2822].

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startEMail(Attributes)`

### startEntry

    void startEntry()
                    throws org.xml.sax.SAXException

  Indicates the start of an `atom:entry` entry.

  The "atom:entry" element represents an individual entry, acting as a container for metadata and data associated with the entry. This element can appear as a child of the atom:feed element, or it can appear as the document (i.e., top-level) element of a stand-alone Atom Entry Document.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startEntry(Attributes)`

### startFeed

    void startFeed()
                   throws org.xml.sax.SAXException

  Indicates the start of an `atom:feed` entry.

  The "atom:feed" element is the document (i.e., top-level) element of an Atom Feed Document, acting as a container for metadata and data associated with the feed. Its element children consist of metadata elements followed by zero or more atom:entry child elements.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startFeed(Attributes)`

### startGenerator

    void startGenerator(java.lang.String oUri,
                        java.lang.String oVersion)
                        throws org.xml.sax.SAXException

  Indicates the start of an `atom:generator` entry.

  The "atom:generator" element's content identifies the agent used to generate a feed, for debugging and other purposes.

  Parameters:
    `oUri` - Optional uri attribute, may be `null`.

    The atom:generator element MAY have a "uri" attribute whose value MUST be an IRI reference [RFC3987]. When dereferenced, the resulting URI (mapped from an IRI, if necessary) SHOULD produce a representation that is relevant to that agent.

    `oVersion` - Optional version attribute, may be `null`.

    The atom:generator element MAY have a "version" attribute that indicates the version of the generating agent.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startGenerator(String, String, Attributes)`

### startIcon

    void startIcon()
                   throws org.xml.sax.SAXException

  Indicates the start of an `atom:icon` entry.

  The "atom:icon" element's content is an IRI reference [RFC3987] that identifies an image that provides iconic visual identification for a feed.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startIcon(Attributes)`

### startId

    void startId()
                 throws org.xml.sax.SAXException

  Indicates the start of an `atom:id` entry.

  The "atom:id" element conveys a permanent, universally unique identifier for an entry or feed. Its content MUST be an IRI, as defined by [RFC3987]. Note that the definition of "IRI" excludes relative references. Though the IRI might use a dereferencable scheme, Atom Processors MUST NOT assume it can be dereferenced.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startId(Attributes)`

### startLink

    void startLink(java.lang.String rHref,
                   java.lang.String oRel,
                   java.lang.String oType,
                   java.lang.String oHrefLang,
                   java.lang.String oTitle,
                   java.lang.String oLength)
                   throws org.xml.sax.SAXException

  Indicates the start of an `atom:link` entry.

  The "atom:link" element defines a reference from an entry or feed to a Web resource. This specification assigns no meaning to the content (if any) of this element.

  Parameters:
    `rHref` - Mandatory href attribute, must not be `null`.

    The "href" attribute contains the link's IRI. atom:link elements MUST have an href attribute, whose value MUST be a IRI reference [RFC3987].

    `oRel` - Optional rel attribute, may be `null`.

    atom:link elements MAY have a "rel" attribute that indicates the link relation type. If the "rel" attribute is not present, the link element MUST be interpreted as if the link relation type is "alternate".

    The value of "rel" MUST be a string that is non-empty and matches either the "isegment-nz-nc" or the "IRI" production in [RFC3987]. Note that use of a relative reference other than a simple name is not allowed. If a name is given, implementations MUST consider the link relation type equivalent to the same name registered within the IANA

    `oType` - Optional type attribute, may be `null`.

    On the link element, the "type" attribute's value is an advisory media type: it is a hint about the type of the representation that is expected to be returned when the value of the href attribute is dereferenced. Note that the type attribute does not override the actual media type returned with the representation. Link elements MAY have a type attribute, whose value MUST conform to the syntax of a MIME media type [MIMEREG].

    `oHrefLang` - Optional hreflang attribute, may be `null`.

    The "hreflang" attribute's content describes the language of the resource pointed to by the href attribute. When used together with the rel="alternate", it implies a translated version of the entry. Link elements MAY have an hreflang attribute, whose value MUST be a language tag [RFC3066].

    `oTitle` - Optional title attribute, may be `null`.

    The "title" attribute conveys human-readable information about the link. The content of the "title" attribute is Language-Sensitive. Entities such as "&" and "<" represent their corresponding characters ("&" and "<", respectively), not markup. Link elements MAY have a title attribute.

    `oLength` - Optional length attribute, may be `null`.

    The "length" attribute indicates an advisory length of the linked content in octets; it is a hint about the content length of the representation returned when the IRI in the href attribute is mapped to a URI and dereferenced. Note that the length attribute does not override the actual content length of the representation as reported by the underlying protocol. Link elements MAY have a length attribute.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startLink(String, String, String, String, String, String, Attributes)`

### startLogo

    void startLogo()
                   throws org.xml.sax.SAXException

  Indicates the start of an `atom:logo` entry.

  The "atom:logo" element's content is an IRI reference [RFC3987] that identifies an image that provides visual identification for a feed.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startLogo(Attributes)`

### startName

    void startName()
                   throws org.xml.sax.SAXException

  Indicates the start of an `atom:name` entry.

  The "atom:name" element's content conveys a human-readable name for the person. The content of atom:name is Language-Sensitive. Person constructs MUST contain exactly one "atom:name" element.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startName(Attributes)`

### startPublished

    void startPublished()
                        throws org.xml.sax.SAXException

  Indicates the start of an `atom:published` entry.

  The "atom:published" element is a Date construct indicating an instant in time associated with an event early in the life cycle of the entry.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startPublished(Attributes)`

### startRights

    void startRights()
                     throws org.xml.sax.SAXException

  Indicates the start of an `atom:rights` entry.

  The "atom:rights" element is a Text construct that conveys information about rights held in and over an entry or feed.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startRights(Attributes)`

### startSource

    void startSource()
                     throws org.xml.sax.SAXException

  Indicates the start of an `atom:source` entry.

  If an atom:entry is copied from one feed into another feed, then the source atom:feed's metadata (all child elements of atom:feed other than the atom:entry elements) MAY be preserved within the copied entry by adding an atom:source child element, if it is not already present in the entry, and including some or all of the source feed's Metadata elements as the atom:source element's children. Such metadata SHOULD be preserved if the source atom:feed contains any of the child elements atom:author, atom:contributor, atom:rights, or atom:category and those child elements are not present in the source atom:entry.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startSource(Attributes)`

### startSubtitle

    void startSubtitle(java.lang.String oType)
                       throws org.xml.sax.SAXException

  Indicates the start of an `atom:subtitle` entry.

  The "atom:subtitle" element is a Text construct that conveys a human- readable description or subtitle for a feed.

  Parameters:
    `oType` - Optional type attribute, may be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startSubtitle(String, Attributes)`

### startSubtitle

    void startSubtitle(java.lang.String oType,
                       java.util.Locale oLocale)
                       throws org.xml.sax.SAXException

  Indicates the start of an `atom:subtitle` entry.

  The "atom:subtitle" element is a Text construct that conveys a human- readable description or subtitle for a feed.

  Parameters:
    `oType` - Optional type attribute, may be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startSubtitle(String, Attributes)`

### startSubtitle

    void startSubtitle(java.lang.String oType,
                       java.lang.String oLocale)
                       throws org.xml.sax.SAXException

  Indicates the start of an `atom:subtitle` entry.

  The "atom:subtitle" element is a Text construct that conveys a human- readable description or subtitle for a feed.

  Parameters:
    `oType` - Optional type attribute, may be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startSubtitle(String, Attributes)`

### startSummary

    void startSummary(java.lang.String oType)
                      throws org.xml.sax.SAXException

  Indicates the start of an `atom:summary` entry.

  The "atom:summary" element is a Text construct that conveys a short summary, abstract, or excerpt of an entry.

  Parameters:
    `oType` - Optional type attribute, may be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startSummary(String, Attributes)`

### startSummary

    void startSummary(java.lang.String oType,
                      java.util.Locale oLocale)
                      throws org.xml.sax.SAXException

  Indicates the start of an `atom:summary` entry.

  The "atom:summary" element is a Text construct that conveys a short summary, abstract, or excerpt of an entry.

  Parameters:
    `oType` - Optional type attribute, may be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startSummary(String, Attributes)`

### startSummary

    void startSummary(java.lang.String oType,
                      java.lang.String oLocale)
                      throws org.xml.sax.SAXException

  Indicates the start of an `atom:summary` entry.

  The "atom:summary" element is a Text construct that conveys a short summary, abstract, or excerpt of an entry.

  Parameters:
    `oType` - Optional type attribute, may be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startSummary(String, Attributes)`

### startTitle

    void startTitle(java.lang.String oType)
                    throws org.xml.sax.SAXException

  Indicates the start of an `atom:title` entry.

  The "atom:title" element is a Text construct that conveys a human- readable title for an entry or feed.

  Parameters:
    `oType` - Optional type attribute, may be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startTitle(String, Attributes)`

### startTitle

    void startTitle(java.lang.String oType,
                    java.util.Locale oLocale)
                    throws org.xml.sax.SAXException

  Indicates the start of an `atom:title` entry.

  The "atom:title" element is a Text construct that conveys a human- readable title for an entry or feed.

  Parameters:
    `oType` - Optional type attribute, may be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startTitle(String, Attributes)`

### startTitle

    void startTitle(java.lang.String oType,
                    java.lang.String oLocale)
                    throws org.xml.sax.SAXException

  Indicates the start of an `atom:title` entry.

  The "atom:title" element is a Text construct that conveys a human- readable title for an entry or feed.

  Parameters:
    `oType` - Optional type attribute, may be `null`.
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  Since:
    6.1.0.3
  See Also:
    `AtomContentHandler.startTitle(String, Attributes)`

### startUpdated

    void startUpdated()
                      throws org.xml.sax.SAXException

  Indicates the start of an `atom:updated` entry.

  The "atom:updated" element is a Date construct indicating the most recent instant in time when an entry or feed was modified in a way the publisher considers significant. Therefore, not all modifications necessarily result in a changed atom:updated value.

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startUpdated(Attributes)`

### startURI

    void startURI()
                  throws org.xml.sax.SAXException

  Indicates the start of an `atom:uri` entry.

  The "atom:uri" element's content conveys an IRI associated with the person. Person constructs MAY contain an atom:uri element, but MUST NOT contain more than one. The content of atom:uri in a Person construct MUST be an IRI reference [RFC3987].

  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created
  See Also:
    `AtomContentHandler.startURI(Attributes)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD